GCLOUD_COMPUTE_TARGET-POOLS_CREATE(1)

NAME

gcloud compute target-pools create - define a load-balanced pool of virtual machine instances

SYNOPSIS

gcloud compute target-pools create NAME [--backup-pool BACKUP_POOL] [--description DESCRIPTION] [--failover-ratio FAILOVER_RATIO] [--health-check HEALTH_CHECK] [--region REGION] [--session-affinity SESSION_AFFINITY; default="NONE"] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute target-pools create is used to create a target pool. A target pool resource defines a group of instances that can receive incoming traffic from forwarding rules. When a forwarding rule directs traffic to a target pool, Google Compute Engine picks an instance from the target pool based on a hash of the source and destination IP addresses and ports. For more information on load balancing, see https://cloud.google.com/compute/docs/load-balancing-and-autoscaling/. To add instances to a target pool, use 'gcloud compute target-pools add-instances'.

POSITIONAL ARGUMENTS
NAME
    The name of the target pool.

FLAGS
--backup-pool BACKUP_POOL
    Together with --failover-ratio, this flag defines the fallback behavior of the target pool (primary pool) to be created by this command. If the ratio of the healthy instances in the primary pool is at or below the specified --failover-ratio value, then traffic arriving at the load-balanced IP address will be directed to the backup pool. If this flag is provided, then --failover-ratio is required.
--description DESCRIPTION
    An optional description of this target pool.
--failover-ratio FAILOVER_RATIO
    Together with --backup-pool, defines the fallback behavior of the target pool (primary pool) to be created by this command. If the ratio of the healthy instances in the primary pool is at or below this number, traffic arriving at the load-balanced IP address will be directed to the backup pool. For example, if 0.4 is chosen as the failover ratio, then traffic will fail over to the backup pool if more than 40% of the instances become unhealthy. If not set, the traffic will be directed the instances in this pool in the force mode, where traffic will be spread to the healthy instances with the best effort, or to all instances when no instance is healthy. If this flag is provided, then --backup-pool is required.
--health-check HEALTH_CHECK
    Specifies an HTTP health check resource to use to determine the health of instances in this pool. If no health check is specified, traffic will be sent to all instances in this target pool as if the instances were healthy, but the health status of this pool will appear as unhealthy as a warning that this target pool does not have a health check.
--region REGION
    The region of the target pool to create. If not specified, you will be prompted to select a region. To avoid prompting when this flag is omitted, you can set the compute/region property:
        $ gcloud config set compute/region REGION
    A list of regions can be fetched by running:
        $ gcloud compute regions list
    To unset the property, run:
        $ gcloud config unset compute/region
    Alternatively, the region can be stored in the environment variable CLOUDSDK_COMPUTE_REGION.
--session-affinity SESSION_AFFINITY; default="NONE"
    Specifies the session affinity option for the connection. If NONE is selected, then connections from the same client IP address may go to any instance in the target pool. If CLIENT_IP is selected, then connections from the same client IP address will go to the same instance in the target pool. If CLIENT_IP_PROTO is selected, then connections from the same client IP with the same IP protocol will go to the same client pool. If not specified, then NONE is used as a default.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.